aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorQuentin Dufour <quentin@deuxfleurs.fr>2023-03-14 16:57:12 +0100
committerQuentin Dufour <quentin@deuxfleurs.fr>2023-03-14 16:57:12 +0100
commitde248fb9b21f2a1c3df65fd4fce830742d570bb1 (patch)
tree91c75cfdc51323d0c6c6431dbd7555e778260e78
parentb55bcd660e73243d3db8201d38d4d58f9b069edd (diff)
downloadgarage-de248fb9b21f2a1c3df65fd4fce830742d570bb1.tar.gz
garage-de248fb9b21f2a1c3df65fd4fce830742d570bb1.zip
real build.sh file
-rwxr-xr-xbuild.sh25
1 files changed, 24 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index a537625b..fa1a7146 100755
--- a/build.sh
+++ b/build.sh
@@ -1,2 +1,25 @@
#!/bin/bash
-echo hello world
+echo "-- check --"
+nix-shell --attr rust --run "cargo fmt -- --check"
+
+echo "-- build --"
+nix-build --no-build-output --attr clippy.amd64 --argstr git_version $COMMIT
+
+echo "-- unit tests --"
+nix-build --no-build-output --attr test.amd64
+./result/bin/garage_db-*
+./result/bin/garage_api-*
+./result/bin/garage_model-*
+./result/bin/garage_rpc-*
+./result/bin/garage_table-*
+./result/bin/garage_util-*
+./result/bin/garage_web-*
+./result/bin/garage-*
+
+echo "-- integration tests --"
+./result/bin/integration-*
+
+echo "-- smoke tests --"
+rm result
+nix-build --no-build-output --attr clippy.amd64 --argstr git_version $COMMIT
+nix-shell --attr integration --run ./script/test-smoke.sh || (cat /tmp/garage.log; false)